%define name2 diffie
%define major 1
%define libname2 %mklibname %{name2} %{major}
%define develname %mklibname %{name2} -d
%define _legacy_common_support 1

Name: mirrordir
Summary: Easy to use ftp mirroring package
Version: 0.10.49
Release: %mkrel 31
Group: Networking/File transfer
License: GPLv2+
URL: ftp://ftp.obsidian.co.za/pub/mirrordir/
Source: ftp://ftp.obsidian.co.za/pub/mirrordir/mirrordir-%{version}.tar.bz2
Patch0: mirrordir-0.10.49-confpath.patch
Patch1: mirrordir-zlib-1.1.3-zfree.patch
Patch2: mirrordir-0.10.49-varargs.patch
Patch3: mirrordir-0.10.49-64bit-fixes.patch
Patch4: mirrordir-0.10.49-pam_pwdb.patch
# (tv) use system zlib:
Patch5: mirrordir-use-system-libs.patch
Patch6: mirrordir-0.10.49-fix-str-fmt.patch
Patch7: mirrordir-0.10.49-fix-install.patch
Patch8: mirrordir-0.10.49-automake-1.13.patch
Patch9: mirrordir-0.10.49-mga-noinline.patch
Patch10: mirrordir-0.10.49-mga-excl.patch
Patch11: mirrordir-0.10.49-mga-fix-buffer-overflow.patch

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: pkgconfig(zlib)

Requires: %{libname2} = %{version}

%description
Easy to use ftp mirroring package - simply use
mirrordir ftp://some.where.com/dir /some/local/dir

%package -n %{libname2}
Summary: The diffie library, necessary to run mirrordir
Group: System/Libraries

%description -n %{libname2}
The diffie library, necessary to run mirrordir.

%package -n %{develname}
Summary: Static version of the diffie library
Group: Development/C
Requires: %{libname2} = %{version}
Provides: lib%{name2}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{mklibname -d %{name2} 1}

%description -n %{develname}
Static version of the diffie library.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -sfi
%configure \
	--enable-zlib \
	CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_bindir}/*
%dir %{_sysconfdir}/mirrordir
%config(noreplace) %{_sysconfdir}/mirrordir
%config(noreplace) %{_sysconfdir}/secure*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_mandir}/man*/*

%files -n %{libname2}
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_libdir}/lib%{name2}.so.%{major}
%{_libdir}/lib%{name2}.so.%{major}.*

%files -n %{develname}
%doc AUTHORS BUGS COPYING README NEWS THANKS TODO
%{_libdir}/lib%{name2}.so
%{_libdir}/lib%{name2}.a


%changelog
* Fri Aug 21 2020 joequant <joequant> 0.10.49-31.mga8
+ Revision: 1617185
- fix gcc10 build

* Tue Feb 18 2020 umeabot <umeabot> 0.10.49-30.mga8
+ Revision: 1538901
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 28 2019 ns80 <ns80> 0.10.49-29.mga8
+ Revision: 1463306
- add patch fix-buffer-overflow and restore the fortify source option (mga#25748)

* Wed Nov 27 2019 ns80 <ns80> 0.10.49-28.mga8
+ Revision: 1463096
- readd optflags, only remove the option that causes the issue (mga#25748)
- remove optflags from CFLAGS to avoid a buffer overflow (mga#25748)

* Sun Sep 23 2018 umeabot <umeabot> 0.10.49-27.mga7
+ Revision: 1299560
- Mageia 7 Mass Rebuild

* Wed Aug 30 2017 daviddavid <daviddavid> 0.10.49-26.mga7
+ Revision: 1148574
- honor user CFLAGS thus fixing empty debugsourcefiles.list
- remove unneeded *.la files

* Mon Feb 15 2016 umeabot <umeabot> 0.10.49-25.mga6
+ Revision: 961432
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 danf <danf> 0.10.49-24.mga6
+ Revision: 895623
- Added noinline.patch to fix build with gcc 5.2
  Added excl.patch to mitigate use of the insecure tmpname

* Wed Oct 15 2014 umeabot <umeabot> 0.10.49-23.mga5
+ Revision: 749045
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.49-22.mga5
+ Revision: 682532
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.49-21.mga4
+ Revision: 507958
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.49-20.mga3
+ Revision: 360112
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 0.10.49-19.mga3
+ Revision: 343291
- fix for automake 1.13

* Fri Jan 14 2011 nanardon <nanardon> 0.10.49-18.mga1
+ Revision: 17461
- rebuild
- imported package mirrordir
+ blino <blino>
- remove old ldconfig scriptlets

